
%global meadversion 4.0.25
%global namedversion 4.0.25.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_without mead
%bcond_with javadoc

%{?scl:%scl_package %{?scl_prefix}jboss-remoting}
%{!?scl:%global pkg_name %{name}}

%define maven_version 4.0.25.Final-redhat-1

Name:      %{?scl_prefix}jboss-remoting
Version:   %{meadversion}
Release:   %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:     0
Summary:   JBoss Remoting
License:   LGPL 2.1
Group:     Development/Java

%if %with mead
Source100: jboss-remoting-4.0.25.Final-redhat-1-scm-sources.zip
Source102: jboss-remoting-4.0.25.Final-redhat-1-javadoc.jar
Source103: jboss-remoting-4.0.25.Final-redhat-1-sources.jar
Source104: jboss-remoting-4.0.25.Final-redhat-1.pom
Source105: jboss-remoting-4.0.25.Final-redhat-1.jar
Source106: jboss-remoting-4.0.25.Final-redhat-1-project-sources.tar.gz
%endif

URL:       http://www.jboss.org/jbossremoting

BuildArch: noarch
BuildRoot: %{_tmppath}/jboss-remoting-%{version}-%{release}-root

%description
The purpose of JBoss Remoting is to provide a general purpose framework
for symmetric and asymmetric communication over a network. It supports
various modes of interaction, including invocations, one way messaging,
and asynchronous callbacks.

%if %with javadoc
%package javadoc
Summary:   Javadoc for jboss-remoting
Group:     Development/Documentation

BuildRequires:  unzip

%description javadoc
API documentation for jboss-remoting.
%endif

%prep
%setup -q -n jboss-remoting -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-remoting-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-remoting-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jboss-remoting-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-remoting-%{namedversion}-sources.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-remoting-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-remoting-%{namedversion}-javadoc.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)


%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-remoting-%{mavenversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-remoting-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-remoting-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-remoting-%{namedversion} %{buildroot}%{_javadocdir}/jboss-remoting
%endif

%clean
%{__rm} -rf %{buildroot}


%files -n %{?scl_prefix}jboss-remoting
%defattr(0644,root,root,0755)
%doc COPYING.txt
%{_javadir}*/*.jar

%if %with javadoc
%files javadoc
%{_javadocdir}/jboss-remoting-%{mavenversion}
%{_javadocdir}/jboss-remoting
%endif

%changelog
* Thu Nov 09 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 4.0.25-1.Final_redhat_1.1
- Upgrade to 4.0.25.Final

* Tue Aug 15 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 4.0.24-1.Final_redhat_1.1
- Upgrade to 4.0.24.Final

* Tue Jun 20 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 4.0.23-1.Final_redhat_1.1
- Upgrade to 4.0.23.Final

* Wed Mar 29 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 4.0.22-1.Final_redhat_1.1
- Upgrade to 4.0.22.Final

* Mon Jul 25 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 4.0.21-1.Final_redhat_1.1
- Upgrade to 4.0.21.Final

* Mon Jul 25 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 4.0.20-2.Final_redhat_1.1
- Upgrade to 4.0.21.Final

* Thu May 19 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 4.0.20-1.Final_redhat_1.1
- Upgrade to 4.0.20.Final

* Thu Jan 28 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 4.0.19-1.Final_redhat_1.1
- Upgrade to 4.0.19.Final

* Tue Jan 05 2016 Hui Wang <huwang@redhat.com> - 4.0.18-1.Final_redhat_1.1
- Upgrade to 4.0.18.Final-redhat-1

* Mon Dec 07 2015 Hui Wang <huwang@redhat.com> - 4.0.15-1.Final_redhat_1.1
- Upgrade to 4.0.15.Final-redhat-1

* Wed Nov 04 2015 Hui Wang <huwang@redhat.com> - 4.0.14-1.Final_redhat_1.1
- Upgrade to 4.0.14.Final-redhat-1

* Wed Jul 22 2015 Hui Wang <huwang@redhat.com> - 4.0.9-1.Final_redhat_1.1
- Upgrade to 4.0.9.Final-redhat-1

* Thu Oct 30 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.3.4-1.Final_redhat_1.1
- Upgrade to 3.3.4.Final

* Wed Aug 20 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.3.3-1.Final_redhat_1.1
- Upgrade to 3.3.3.Final

* Wed Apr 09 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.3.1-1.Final_redhat_1.1
- Upgrade to 3.3.1.Final

* Thu Mar 20 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.3.0-1.Final_redhat_1.1
- Upgrade to 3.3.0.Final

* Fri Feb 21 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.2.19-1.GA_redhat_1.1
- Upgrade to 3.2.19.GA

* Wed Nov 06 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 3.2.18-1.GA_redhat_1
- Upgrade to 3.2.18.GA

* Tue Oct 15 2013 Hui Wang <huwang@redhat.com> - 3.2.17-1.GA_redhat_1
- Downgrade to 3.2.17.GA (Bug 1018989)

* Sun Oct 13 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 3.3.0-1.CR1_redhat_1
- Upgrade to 3.3.0.CR1

* Wed Apr 10 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 3.2.16-1.GA_redhat_1
- Upgrade to 3.2.16.GA

* Thu Feb 28 2013 Hui Wang <huwang@redhat.com> - 3.2.15-1.GA_redhat_1
- Upgrade to 3.2.15.GA

* Wed Nov 28 2012 Fernando Nasser <fnasser@redhat.com> - 3.2.14-1.GA_redhat_1
- Upgrade to 3.2.14.GA

* Tue Nov 20 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 3.2.13-1.GA_redhat_1
- Upgrade to 3.2.13.GA

* Fri Oct 12 2012 Fernando Nasser <fnasser@redhat.com> - 3.2.12-1.GA_redhat_1
- Update to 3.2.12.GA

* Fri Oct 05 2012 Fernando Nasser <fnasser@redhat.com> - 3.2.11-1.GA_redhat_1
- Update to 3.2.11.GA

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 3.2.8-2.SP1_redhat_1
- Rebuild for MD5

* Fri Sep 14 2012 Lin Gao <lgao@redhat.com> - 3.2.8-1.SP1_redhat_2
- Update to 3.2.8.SP1

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 3.2.8-1.GA_redhat_2.4
- Update pom patch for eap 6.0.1

* Mon Aug 13 2012 Fernando Nasser <fnasser@redhat.com> - 3.2.8-1.GA_redhat_2.3
- Rebuild unsigned

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 3.2.8-1.GA_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 3.2.8-1.GA_redhat_1.1
- Rebuild using cache signing

* Wed May 23 2012 Martha Benitez <mbenitez@redhat.com> - 3.2.8-1.GA_redhat_1
- Upgrade to 3.2.8.GA-redhat-1

* Tue May 08 2012 Martha Benitez <mbenitez@redhat.com> - 3.2.7-1.GA_redhat_1
- Upgrade to 3.2.7.GA-redhat-1

* Mon Mar 26 2012 Martha Benitez <mbenitez@redhat.com> - 3.2.4-1.GA_redhat_1.1
- Upgrade to 3.2.4.GA

* Tue Mar 20 2012 Martha Benitez <mbenitez@redhat.com> - 3.2.2-1.GA_redhat_1.2
- Remove R: jboss-logmanager, jboss-logging-tools, xnio

* Wed Feb 29 2012 Fernando Nasser <fnasser@redhat.com> - 3.2.0-1.GA_redhat_1.1
- Populate java-signed

* Fri Feb 14 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 3.2.2-0.5.GA_redhat_1
- Upgrade to 3.2.2.GA

* Fri Jan 13 2012 Fernando Nasser <fnasser@redhat.com> - 3.2.0-0.4.CR8_redhat_1.1
- Wrap MEAD build for EAP 6

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.0-0.3.CR6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 07 2011 Marek Goldmann <mgoldman@redhat.com> 3.2.0-0.2.CR6
- Upstream release 3.2.0.CR6

* Thu Nov 17 2011 Marek Goldmann <mgoldman@redhat.com> 3.2.0-0.1.CR2
- Upstream release 3.2.0.CR2

* Mon Oct 24 2011 Marek Goldmann <mgoldman@redhat.com> 3.2.0-0.1.Beta3
- Upstream release 3.2.0.Beta3
- Fixed javadocs dir issue

* Fri Aug 05 2011 Marek Goldmann <mgoldman@redhat.com> 3.2.0-0.1.Beta2
- Initial packaging
